Skip to main content
`Ctrl`+`K`

# ISGetMinMax

Gets the minimum and maximum values in an `IS`

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISGetMinMax(IS is, PetscInt *min, PetscInt *max)

Not Collective

## Input Parameter

- is - the index set

## Output Parameters

- min - the minimum value, you may pass `NULL`

- max - the maximum value, you may pass `NULL`

## Notes

Empty index sets return min=`PETSC_INT_MAX` and max=`PETSC_INT_MIN`.

In parallel, it returns the `min` and `max` of the local portion of `is`

## See Also

`IS`, `ISGetIndices()`, `ISRestoreIndices()`

## Level

intermediate

## Location

src/vec/is/is/interface/index.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages